Loading...
Searching...
No Matches
KalmanTracker Class Reference

This class represents the internel state of individual tracked objects observed as bounding box. More...

`#include <sort_filter/KalmanTracker.h>`

## Public Member Functions

StateType | get_rect_xysr (float cx, float cy, float s, float r)
StateType | get_state ()
| KalmanTracker ()
| KalmanTracker (StateType initRect, float confidence, int classId, int objectId)
StateType | predict ()
StateType | predict2 ()
void | update (StateType stateMat)
| ~KalmanTracker ()

## Public Attributes

int | classId
float | confidence
int | m_age
int | m_hit_streak
int | m_hits
int | m_id
int | m_time_since_update

## Detailed Description

This class represents the internel state of individual tracked objects observed as bounding box.

Definition at line 18 of file KalmanTracker.h.

## Constructor & Destructor Documentation

## KalmanTracker() [1/2]

KalmanTracker::KalmanTracker | ( |  | ) |

inline

Definition at line 21 of file KalmanTracker.h.

## KalmanTracker() [2/2]

KalmanTracker::KalmanTracker | ( | StateType | initRect,
|  | float | confidence,
|  | int | classId,
|  | int | objectId )

inline

Definition at line 30 of file KalmanTracker.h.

## ~KalmanTracker()

KalmanTracker::~KalmanTracker | ( |  | ) |

inline

Definition at line 40 of file KalmanTracker.h.

## Member Function Documentation

## get_rect_xysr()

StateType KalmanTracker::get_rect_xysr | ( | float | cx,
|  | float | cy,
|  | float | s,
|  | float | r )

Definition at line 110 of file KalmanTracker.cpp.

Referenced by get_state(), predict(), and predict2().

## get_state()

StateType KalmanTracker::get_state | ( |  | ) |

Definition at line 103 of file KalmanTracker.cpp.

## predict()

StateType KalmanTracker::predict | ( |  | ) |

Definition at line 53 of file KalmanTracker.cpp.

## predict2()

StateType KalmanTracker::predict2 | ( |  | ) |

Definition at line 69 of file KalmanTracker.cpp.

## update()

void KalmanTracker::update | ( | StateType | stateMat | ) |

Definition at line 80 of file KalmanTracker.cpp.

## Member Data Documentation

## classId

int KalmanTracker::classId

Definition at line 58 of file KalmanTracker.h.

Referenced by KalmanTracker().

## confidence

float KalmanTracker::confidence

Definition at line 57 of file KalmanTracker.h.

Referenced by KalmanTracker().

## m_age

int KalmanTracker::m_age

Definition at line 55 of file KalmanTracker.h.

Referenced by KalmanTracker(), KalmanTracker(), and predict().

## m_hit_streak

int KalmanTracker::m_hit_streak

Definition at line 54 of file KalmanTracker.h.

Referenced by KalmanTracker(), KalmanTracker(), predict(), and update().

## m_hits

int KalmanTracker::m_hits

Definition at line 53 of file KalmanTracker.h.

Referenced by KalmanTracker(), KalmanTracker(), and update().

## m_id

int KalmanTracker::m_id

Definition at line 56 of file KalmanTracker.h.

Referenced by KalmanTracker(), and KalmanTracker().

## m_time_since_update

int KalmanTracker::m_time_since_update

Definition at line 52 of file KalmanTracker.h.

Referenced by KalmanTracker(), KalmanTracker(), predict(), and update().

The documentation for this class was generated from the following files:

- sort_filter/KalmanTracker.h
- sort_filter/KalmanTracker.cpp